(** Accepts formulae from the standard input and tests them for satisfiability.
    Each formula has to be on a separate line and empty lines are ignored.
    The input is terminated by EOF.
    @author Florian Widmann
 *)
let _ = 
  try
	begin
		let verb = (Array.length Sys.argv) - 1 in
		let prtgrph = if verb >= 2 then Some Sys.argv.(3)
		else None
		in
		let input = read_line () in
		let f = PLTLFormula.importFormula input in
		  if PLTLGraph.isSat ~verbose:verb ~print:prtgrph f then
			exit 1
		  else
			exit 0
	end
  with _ -> 
	exit (-1)
